Bug 1284658 - Scripts of python-argcomplete have a shebang with python3
Scripts of python-argcomplete have a shebang with python3
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-argcomplete (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dale Macartney
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-23 14:38 EST by maarten
Modified: 2015-12-15 08:23 EST (History)
4 users (show)

See Also:
Fixed In Version: python-argcomplete-1.0.0-3.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-15 08:23:57 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description maarten 2015-11-23 14:38:31 EST
Description of problem:
The shebang of
/usr/bin/register-python-argcomplete
/usr/bin/activate-global-python-argcomplete
/usr/bin/python-argcomplete-check-easy-install-script

is /usr/bin/python3. But they are packaged in python-argcomplete.

Version-Release number of selected component (if applicable):
0.8.9

How reproducible:
Always

Steps to Reproduce:
1. Open the files with a reader

Actual results:
shebang is #!/usr/bin/python3

Expected results:
These files should be moved to python3-argcomplete
Comment 1 Fedora Update System 2015-12-05 13:02:23 EST
python-argcomplete-1.0.0-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-537818759e
Comment 2 Fedora Update System 2015-12-06 12:20:32 EST
python-argcomplete-1.0.0-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-argcomplete'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-537818759e
Comment 3 Fedora Update System 2015-12-15 08:23:54 EST
python-argcomplete-1.0.0-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.